program lextest;
(* Programme pour tester l'analyseur lexical. *)

uses lexical;

var	test 	: string;
	t	: TYPE_LEXEMES;

begin
	test := 'rem let a25!= (-10.1e2+x%) * 5.1E2 -3 /(a + b$ + 10.0)';
	writeln('Test: ', test);
	initialise_analyseur_lexical(test);

	t := prend_lexeme;
	if t = ERREUR then
		explique_erreur_lexicale;

	while (t <> FIN_DE_LIGNE) and (t <> ERREUR) do begin
		writeln('(', nom_lexeme(t), ', ', lexeme, ')');
		t := prend_lexeme;
		if t = ERREUR then
			explique_erreur_lexicale;
	end;
end.